@echo off
SET JAVA_HOME=c:\jdk1.2.2

set MSVCDir=C:\Pro\VISUAL_C\VC98

rem
echo Setting environment for using Microsoft Visual C++ tools.
rem

set PATH=C:\Pro\VISUAL_C\OS\SYSTEM;%MSVCDir%\bin;%PATH%
set INCLUDE=%MSVCDir%\include
set LIB=%MSVCDir%\lib

del ovt2g.dll

cl utils.c magpack.c tsyg96.c usat\cnstinit.c usat\deep.c usat\fmod2p_2.c usat\getsatpos.c usat\matan2.c usat\mjd.c usat\rsat.c usat\sdp4.c usat\sgp4.c usat\thetag.c -I%JAVA_HOME%\include -I%JAVA_HOME%\include\win32 -I%MSVCDir%\include -Feovt2g.dll -MD -LD -nologo %JAVA_HOME%\lib\jvm.lib >err.txt

echo PATH=%PATH%
echo MSVCDir=%MSVCDir%
echo incl=%INCLUDE%
echo lib=%MSVCDir%\lib

copy ovt2g.dll c:\ovt2g\bin
